summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Bermond2017-05-01 16:33:48 -0300
committerDaniel Bermond2017-05-01 16:33:48 -0300
commit933fa80f73303c6cc902af1d97c946b58601145c (patch)
tree5e4eea052a44dc56bb12a3b8bcee95a17a7b6c24
parent3dcc69b258f374bfc4748597b9120f5610cd7eba (diff)
downloadaur-933fa80f73303c6cc902af1d97c946b58601145c.tar.gz
Strictly added gcc5 to makedepends and cuda to depends
cudnn already pulls cuda. The current version of cuda (8.0) already pulls gcc5. But strictly adding them the dependencies can avoid some problems in the future.
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD8
2 files changed, 9 insertions, 7 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 439e888080e..defca8f38df 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,19 +1,21 @@
# Generated by mksrcinfo v8
-# Mon May 1 19:30:20 UTC 2017
+# Mon May 1 19:33:19 UTC 2017
pkgbase = caffe2-git
pkgdesc = A new lightweight, modular, and scalable deep learning framework (git version, gpu enabled)
- pkgver = 0.7.0.r121.gf46860e3
- pkgrel = 2
+ pkgver = 0.7.0.r125.gc5b97191
+ pkgrel = 1
url = http://caffe2.ai/
arch = x86_64
license = BSD
makedepends = git
makedepends = cmake
+ makedepends = gcc5
depends = google-glog
depends = protobuf
depends = python2
depends = python2-numpy
depends = python2-protobuf
+ depends = cuda
depends = gflags
depends = gtest
depends = openmp
diff --git a/PKGBUILD b/PKGBUILD
index 68c8fbae83d..f9ac3eefdce 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,8 +1,8 @@
# Maintainer : Daniel Bermond < yahoo-com: danielbermond >
pkgname=caffe2-git
-pkgver=0.7.0.r121.gf46860e3
-pkgrel=2
+pkgver=0.7.0.r125.gc5b97191
+pkgrel=1
pkgdesc="A new lightweight, modular, and scalable deep learning framework (git version, gpu enabled)"
arch=('x86_64')
url="http://caffe2.ai/"
@@ -10,7 +10,7 @@ license=('BSD')
depends=(
# binary repositories:
# required:
- 'google-glog' 'protobuf' 'python2' 'python2-numpy' 'python2-protobuf'
+ 'google-glog' 'protobuf' 'python2' 'python2-numpy' 'python2-protobuf' 'cuda'
# not required but enabled in build:
'gflags' 'gtest' 'openmp' 'leveldb' 'lmdb' 'opencv' 'openmpi' 'snappy'
'zeromq' 'hiredis'
@@ -29,7 +29,7 @@ depends=(
# missing:
# 'python2-nvd3'
)
-makedepends=('git' 'cmake')
+makedepends=('git' 'cmake' 'gcc5')
provides=('caffe2')
conflicts=('caffe' 'caffe-cpu' 'caffe-git' 'caffe-cpu-git'
'caffe2' 'caffe2-cpu' 'caffe2-cpu-git')